#ifndef SAIDA_H_INCLUDED
#define SAIDA_H_INCLUDED

#include "allegro.h"
#include "Servidor/Controle.h"
#include "Imagens.h"
#include "Servidor/servidor.h"

class Saida {
   public:
	   Saida(Imagens *imagens);
     ~Saida();
     void imprimirNaTela(int,BITMAP*,BITMAP*);
    void Saida::setEstagio(Imagens *imagens);
		 void setServidor(servidor*);
   private:
	 servidor *retornoServidor;
     Imagens *imagensDaFase;
     BITMAP *buffer;
     BITMAP *cenario;

     void imprimirJogadorLuigi(int, int);
	 void imprimirJogadorMario(int, int);
     void imprimirInimigos();
     void imprimirSprite(int, int, int, int);
     void imprimirSpriteParaEsquerda(int, int, int, int);

};

#endif // SAIDA_H_INCLUDED
