#ifndef CONSTANTESDECONFIGURACAO_H_INCLUDED
#define CONSTANTESDECONFIGURACAO_H_INCLUDED

// constantes do teclado
#define CIMA 1
#define DIREITA 2
#define ESQUERDA 3
#define PAUSE 4
#define ENTER 5
#define ESC 6
#define MUDAR_DE_ESTAGIO 7
#define NENHUMA_TECLA_CLICADA 8

// constantes de seleo
#define SINGLE_PLAYER 1
#define MULTI_PLAYER 2

// constantes de tipo (Personagem)
#define MARIO 1
#define LUIGI 2

// constantes de Status
#define NORMAL 1
#define ESPECIAL 2

// constantes de tipo (Inimigo)
#define INIMIGO_1 1
#define INIMIGO_2 2

// constantes de configurao
#define MAX_X  640
#define MAX_Y  480
#define MAX_TOTAL_X  0
#define MAX_TOTAL_Y  0
#define COLOR_BITS 32

// constate de estado
#define ANDANDO 100
#define PARADO 101
#define PULANDO 102
#define MORTO 103
#define CAINDO 104

//constantes de reposta do controle
#define PAUSADO -13
#define ACABOU_FASE -14
#define MORREU -15
#define SAIR -16

#endif // CONSTANTESDECONFIGURACAO_H_INCLUDED
