#include "Personagem.h"
#include "ConstantesDeConfiguracao.h"

Personagem::Personagem(int posicaoInicialX, int posicaoInicialY, int velocidade, int tamanhoX, int tamanhoY, int tipo) {
    this->vivo = true;
    this->life = 100;
    this->tipo = tipo;
    this->status = NORMAL;
    this->viradoParaFrente = true;
    this->posicaoX = posicaoInicialX;
    this->posicaoY = posicaoInicialY;
    this->estadoX = PARADO;
    this->estadoY = PARADO;
    this->velocidade = velocidade;
    this->indiceAndando = 0;
    this->tamanhoX = tamanhoX;
    this->tamanhoY = tamanhoY;
}

int Personagem::getLife() {
    return this->life;
}
int Personagem::getTipo(){
    return this->tipo;
}
int Personagem::getStatus(){
    return this->status;
}
bool Personagem::getViradoPraFrente(){
    return this->viradoParaFrente;
}
int Personagem::getPosicaoX(){
    return this->posicaoX;
}
int Personagem::getPosicaoY(){
    return this->posicaoY;
}
int Personagem::getEstadoX(){
    return this->estadoX;
}
int Personagem::getEstadoY(){
    return this->estadoY;
}
int Personagem::getVelocidade(){
    return this->velocidade;
}
int Personagem::getIndiceAndando(){
    return this->indiceAndando;
}

int Personagem::getTamanhoX(){
    return this->tamanhoX;
}
int Personagem::getTamanhoY(){
    return this->tamanhoY;
}

bool Personagem::getVivo() {
    return this->vivo;
}

void Personagem::setVivo(bool vivo) {
    this->vivo = vivo;
}

void Personagem::decrementarLife(int decrementar){
    this->life = this->life - decrementar;
}
void Personagem::setStatus(int s){
    this->status = s;
}
void Personagem::setViradoPraFrente(bool viradoFrente){
    this->viradoParaFrente = viradoFrente;
}
void Personagem::incrementarPocisaoX(int x){
    this->posicaoX = this->posicaoX + x;
}
void Personagem::incrementarPocisaoY(int y){
    this->posicaoY = this->posicaoY + y;
}

void Personagem::decrementarPocisaoX(int x){
    this->posicaoX = this->posicaoX - x;
}

void Personagem::decrementarPocisaoY(int y){
    this->posicaoY = this->posicaoY - y;
}

void Personagem::setEstadoX(int est){
    this->estadoX = est;
}

void Personagem::setEstadoY(int est){
    this->estadoY = est;
}

void Personagem::setPosicaoX(int x){
    this->posicaoX = x;

}

void Personagem::setPosicaoY(int y){
    this->posicaoY = y;
}

void Personagem::setIndiceAndando(int indice){
    this->indiceAndando = indice;
}
