#ifndef COLISAODINAMICA_H_INCLUDED
#define COLISAODINAMICA_H_INCLUDED

#include "Personagem.h"
#include "ObjetoRetornoColisao.h"
#include "Inimigo.h"


class ColisaoDinamica {

    Personagem** inimigos;
    int qntInimigos;
    int colisaoDireita(Personagem* caixa1, Personagem* caixa2);
    int colisaoEsquerda(Personagem* caixa1, Personagem* caixa2);
    int colisaoSubindo(Personagem* caixa1, Personagem* caixa2);
    int colisaoCaindo(Personagem* caixa1, Personagem* caixa2, int proxPosicao);
    int colisaoParado(Personagem* caixa1, Personagem* caixa2);
    ObjetoRetornoColisao* retorno;


public:
    ~ColisaoDinamica();
    ColisaoDinamica(Personagem** ini,int tam);
    int verificarColisaoDireitaEmInimigos(Personagem* Personagem, int proxPosicao);
    int verificarColisaoEsquerdaEmInimigos(Personagem* Personagem, int proxPosicao);
    int verificarColisaoCimaEmInimigos(Personagem* Personagem, int proxPosicao);
    ObjetoRetornoColisao* getRetornoColisao();


};

#endif // COLISAODINAMICA_H_INCLUDED
